﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using System.Collections.ObjectModel;

namespace TreeView
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
            PopulateTree();         
        }

        private void PopulateTree()
        {
            ObservableCollection<DataItem> rootCollection = new ObservableCollection<DataItem>();
            for (int i = 0; i < 10; i++)
            {
                DataItem item = new DataItem();
                item.Name = "dataitem " + i;
                if (i % 3 == 0)
                {
                    item.Checked = true;
                }
                for (int j = 0; j < 3; j++)
                {
                    DataItem child = new DataItem() { Name = "Child" + j };
                    item.Children.Add(child);
                }
                rootCollection.Add(item);
            }
            this.treeView.ItemsSource = rootCollection;
        }

        private void treeView_PreviewExpanded(object sender, Telerik.Windows.RadRoutedEventArgs e)
        {
            DataItem clicked = (e.OriginalSource as RadTreeViewItem).Item as DataItem;
            if (clicked.Checked == false)
            {
                e.Handled = true;
            }
        }
    }
}
